module Main where

import qualified Foreign.CUDA.Runtime as CUDA
import qualified Foreign.CUDA.FFT as CUFFT


main :: IO ()
main =
   CUDA.withListArrayLen [0,1,0,0,0] $ \width inp -> do
      let outlen = (div width 2 + 1) * 2
      out <- CUDA.mallocArray outlen
      h <- CUFFT.plan1D width CUFFT.R2C 1
      CUFFT.execR2C h inp out
      print =<< CUDA.peekListArray outlen out
